Package twisted :: Package web :: Module client :: Class HTTPPageDownloader |
[frames | no frames]

## Class HTTPPageDownloader

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                  HTTPClient --+
                               |
                  HTTPPageGetter --+
                                   |
                                  HTTPPageDownloader

Method Summary
| `handleResponseEnd(self)`
| `handleResponsePart(self, data)`
| `handleStatus_200(self, partialContent)`
| `handleStatus_206(self)`
Inherited from HTTPPageGetter
| ``connectionLost`(self, reason)`
| ``connectionMade`(self)` Called when a connection is made.
| ``handleEndHeaders`(self)`
| ``handleHeader`(self, key, value)`
| ``handleResponse`(self, response)`
| ``handleStatus`(self, version, status, message)`
| ``handleStatus_202`(self)`
| ``handleStatus_301`(self)`
| ``handleStatus_302`(self)`
| ``handleStatus_303`(self)`
| ``handleStatusDefault`(self)`
| ``timeout`(self)`
Inherited from HTTPClient
| ``endHeaders`(self)`
| ``lineReceived`(self, line)` Override this for when each line is received.
| ``rawDataReceived`(self, data)` Override this for when raw data is received.
| ``sendCommand`(self, command, path)`
| ``sendHeader`(self, name, value)`
Inherited from LineReceiver
| ``clearLineBuffer`(self)` Clear buffered data.
| ``dataReceived`(self, data)` Protocol.dataReceived.
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached.
| ``sendLine`(self, line)` Sends a line to the other end of the connection.
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver.
| ``setRawMode`(self)` Sets the raw mode of this receiver.
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
`int` | `transmittingPage` = 0
Inherited from HTTPPageGetter
`int` | `failed` = 0
`int` | `quietLoss` = 0
Inherited from HTTPClient
`str` | `_HTTPClient__buffer` = `''`
`int` | `firstLine` = 1
`NoneType` | `length` = None
Inherited from LineReceiver
`str` | `_LineReceiver__buffer` = `''`
`str` | `delimiter`: The line-ending delimiter to use.
`int` | `line_mode` = 1
`int` | `MAX_LENGTH`: The maximum length of a line to allow (If a sent line is longer than this, the connection is dropped).
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Class Variable Details

    ### transmittingPage Type: `int` Value:
        0

Generated by Epydoc 2.0 on Sat Oct 25 00:54:45 2003 | http://epydoc.sf.net